commit:     3e4b3aa0f6382547a1b8447cf64153d2d268cb31
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Dec  7 22:19:23 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Dec  7 22:23:53 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3e4b3aa0

dev-python/memory_profiler: Bump to 0.59

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/memory_profiler/Manifest                |  1 +
 .../memory_profiler/memory_profiler-0.59.ebuild    | 55 ++++++++++++++++++++++
 dev-python/memory_profiler/metadata.xml            |  2 +-
 3 files changed, 57 insertions(+), 1 deletion(-)

diff --git a/dev-python/memory_profiler/Manifest 
b/dev-python/memory_profiler/Manifest
index eb26320def57..c6271af5f80f 100644
--- a/dev-python/memory_profiler/Manifest
+++ b/dev-python/memory_profiler/Manifest
@@ -1 +1,2 @@
 DIST memory_profiler-0.58.0.gh.tar.gz 140692 BLAKE2B 
2f3917d833dfcc722b61871c7e704e869527a389b10a81b473989b8455630f5defa5f5b21a172708070b89468c7dd66682cd3b9c0bf435e9be49651b69b50137
 SHA512 
5c02933acffc05f42d2ae98a069d36563e1d26515d439d94ad3903960dd06cd378faae3000b26c022770e71e83db6f770ceaf63cabb92f4159bda0ff9cc4e849
+DIST memory_profiler-0.59.gh.tar.gz 142586 BLAKE2B 
b9c8cffbd03f980937d30626facf431e6effd9a86a21fbe629f4238a2f78f2d65242637105ad3a07b4158a6335a541701bba657941bb23c9da0f49a1113402ee
 SHA512 
f70ad8f871bd5068e2817049231abee7e535cb352f0444dcb0d9d072b9f4dda944e85ec7854855307a9748257da80f53dd50fe17fefbd73045dce1306f51f88d

diff --git a/dev-python/memory_profiler/memory_profiler-0.59.ebuild 
b/dev-python/memory_profiler/memory_profiler-0.59.ebuild
new file mode 100644
index 000000000000..afc8e46ebfb4
--- /dev/null
+++ b/dev-python/memory_profiler/memory_profiler-0.59.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="A module for monitoring memory usage of a python program"
+HOMEPAGE="https://pypi.org/project/memory-profiler/ 
https://github.com/pythonprofilers/memory_profiler";
+SRC_URI="
+       https://github.com/pythonprofilers/memory_profiler/archive/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+IUSE="examples"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+# dev-lang/mercury: collision on 'mprof'
+# https://bugs.gentoo.org/571176
+RDEPEND="dev-python/psutil[${PYTHON_USEDEP}]
+       !dev-lang/mercury"
+
+distutils_enable_tests pytest
+
+python_test() {
+       "${EPYTHON}" -m memory_profiler test/test_as.py || die
+       "${EPYTHON}" -m memory_profiler test/test_func.py || die
+       "${EPYTHON}" -m memory_profiler test/test_gen.py || die
+       "${EPYTHON}" -m memory_profiler test/test_loop.py || die
+       "${EPYTHON}" -m memory_profiler test/test_loop_decorated.py || die
+       "${EPYTHON}" -m memory_profiler test/test_mprofile.py || die
+       "${EPYTHON}" -m memory_profiler test/test_nested.py || die
+       "${EPYTHON}" -m memory_profiler test/test_precision_command_line.py || 
die
+       "${EPYTHON}" -m memory_profiler test/test_unicode.py || die
+
+       "${EPYTHON}" test/test_exception.py || die
+       "${EPYTHON}" test/test_exit_code.py || die
+       "${EPYTHON}" test/test_global.py || die
+       "${EPYTHON}" test/test_import.py || die
+       "${EPYTHON}" test/test_memory_usage.py || die
+       "${EPYTHON}" test/test_mprof.py || die
+       "${EPYTHON}" test/test_precision_import.py || die
+       "${EPYTHON}" test/test_stream_unicode.py || die
+       "${EPYTHON}" test/test_tracemalloc.py || die
+}
+
+python_install_all() {
+       use examples && dodoc -r examples
+
+       distutils-r1_python_install_all
+}

diff --git a/dev-python/memory_profiler/metadata.xml 
b/dev-python/memory_profiler/metadata.xml
index 32bbc7982746..765b1c287e36 100644
--- a/dev-python/memory_profiler/metadata.xml
+++ b/dev-python/memory_profiler/metadata.xml
@@ -7,7 +7,7 @@
   </maintainer>
   <stabilize-allarches/>
   <upstream>
-    <remote-id type="pypi">memory_profiler</remote-id>
+    <remote-id type="pypi">memory-profiler</remote-id>
     <remote-id type="github">pythonprofilers/memory_profiler</remote-id>
     <maintainer status="unknown">
       <email>[email protected]</email>

Reply via email to